USE [#DATABASE#]
GO

SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [dbo].[webSecurity_#SEC_DEFINITION#Del]
  @UserID AS NVARCHAR(50),
  @KeyName AS NVARCHAR(50),
  @KeyValue AS NVARCHAR(150)
AS
BEGIN
	SET NOCOUNT ON;

	DECLARE @SQL NVARCHAR(MAX)
	DECLARE @UserCount INT

	SET @SQL = ' DELETE dbo.#TABLE# WHERE '
			   + Quotename(@KeyName)
			   + ' = @KeyValue AND UserID = @UserID'

	EXEC sp_executesql
	  @SQL,
	  N'@KeyValue NVARCHAR(150), @UserID NVARCHAR(50)',
	  @KeyValue,
	  @UserID

END
GO


